Page MenuHomePhabricator

1.42.0-wmf.19 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
brennen
Release Version
1.42.0-wmf.19
Release Date
Mon, Feb 19, 12:00 AM

2024 week 08 1.42-wmf.19 Changes wmf/1.42.0-wmf.19

This MediaWiki Train Deployment is scheduled for the week of Monday, February 19th:

Monday February 19thTuesday, February 20thWednesday, February 21stThursday, February 22ndFriday
Backports only.Branch wmf.19 and deploy to Group 0 Wikis.Deploy wmf.19 to Group 1 Wikis.Deploy wmf.19 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.19 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.42.0-wmf.18
Next: 1.42.0-wmf.20

Event Timeline

Change 1004694 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.42.0-wmf.19] Branch commit for wmf/1.42.0-wmf.19

https://gerrit.wikimedia.org/r/1004694

Change 1004694 merged by jenkins-bot:

[mediawiki/core@wmf/1.42.0-wmf.19] Branch commit for wmf/1.42.0-wmf.19

https://gerrit.wikimedia.org/r/1004694

Change 1004803 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.42.0-wmf.19

https://gerrit.wikimedia.org/r/1004803

Change 1004803 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.42.0-wmf.19

https://gerrit.wikimedia.org/r/1004803

Mentioned in SAL (#wikimedia-operations) [2024-02-20T04:04:33Z] <mwpresync@deploy2002> Started scap: testwikis wikis to 1.42.0-wmf.19 refs T354437

Mentioned in SAL (#wikimedia-operations) [2024-02-20T04:56:42Z] <mwpresync@deploy2002> Finished scap: testwikis wikis to 1.42.0-wmf.19 refs T354437 (duration: 52m 09s)

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: brennen.
thcipriani set the point value for this task to 5.

Change 1005141 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.42.0-wmf.19

https://gerrit.wikimedia.org/r/1005141

Change 1005141 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.42.0-wmf.19

https://gerrit.wikimedia.org/r/1005141

Mentioned in SAL (#wikimedia-operations) [2024-02-20T19:12:48Z] <jhuneidi@deploy2002> rebuilt and synchronized wikiversions files: group0 wikis to 1.42.0-wmf.19 refs T354437

Change 1005583 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.19

https://gerrit.wikimedia.org/r/1005583

Change 1005583 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.19

https://gerrit.wikimedia.org/r/1005583

Mentioned in SAL (#wikimedia-operations) [2024-02-21T20:46:12Z] <jhuneidi@deploy2002> rebuilt and synchronized wikiversions files: group1 wikis to 1.42.0-wmf.19 refs T354437

Mentioned in SAL (#wikimedia-operations) [2024-02-21T20:54:48Z] <jhuneidi@deploy2002> Synchronized php: group1 wikis to 1.42.0-wmf.19 refs T354437 (duration: 08m 35s)

Change 1005820 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group2 wikis to 1.42.0-wmf.19

https://gerrit.wikimedia.org/r/1005820

Change 1005820 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.42.0-wmf.19

https://gerrit.wikimedia.org/r/1005820

Mentioned in SAL (#wikimedia-operations) [2024-02-22T19:18:32Z] <jhuneidi@deploy2002> rebuilt and synchronized wikiversions files: group2 wikis to 1.42.0-wmf.19 refs T354437

Reopening until we figure out what to do with T358304

Reopening until we figure out what to do with T358304

I marked T336504: Transcluding Special:Prefixindex can force the default skin as a blocker for wmf.20 - guess that should be T336504 and here instead?

(Edit: Don't mind me re: which bug, caffeine not kicked in yet.)

We have a backport available with a fix for the immediate problem: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/1006313. Tim added more details at T336504

Backported https://gerrit.wikimedia.org/r/1006313 and tentatively removed T336504 as blocker. Myself I couldn't reproduce the issue mentioned in T336504 before or after the backport.

Backported https://gerrit.wikimedia.org/r/1006313 and tentatively removed T336504 as blocker. Myself I couldn't reproduce the issue mentioned in T336504 before or after the backport.

Great, thank you for the backport and the update here!